<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>HTTP: SHPP::Response Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">HTTP
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceSHPP.html">SHPP</a></li><li class="navelem"><a class="el" href="structSHPP_1_1Response.html">Response</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structSHPP_1_1Response-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">SHPP::Response Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Wrapper class of an HTTP response.  
 <a href="structSHPP_1_1Response.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="common_8h_source.html">common.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae55886219f790bb683d03155a317cc81"><td class="memItemLeft" align="right" valign="top"><a id="ae55886219f790bb683d03155a317cc81" name="ae55886219f790bb683d03155a317cc81"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>status</b> = 200</td></tr>
<tr class="memdesc:ae55886219f790bb683d03155a317cc81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status of the HTTP response. <br /></td></tr>
<tr class="separator:ae55886219f790bb683d03155a317cc81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a189229e476bf19c5b207aabfcf1654cc"><td class="memItemLeft" align="right" valign="top"><a id="a189229e476bf19c5b207aabfcf1654cc" name="a189229e476bf19c5b207aabfcf1654cc"></a>
std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>headers</b></td></tr>
<tr class="memdesc:a189229e476bf19c5b207aabfcf1654cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mapping of the http key:value headers. <br /></td></tr>
<tr class="separator:a189229e476bf19c5b207aabfcf1654cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81e2000a03cc0258f9bfa29289e8b3f8"><td class="memItemLeft" align="right" valign="top"><a id="a81e2000a03cc0258f9bfa29289e8b3f8" name="a81e2000a03cc0258f9bfa29289e8b3f8"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>body</b></td></tr>
<tr class="memdesc:a81e2000a03cc0258f9bfa29289e8b3f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Body of the HTTP response. <br /></td></tr>
<tr class="separator:a81e2000a03cc0258f9bfa29289e8b3f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Wrapper class of an HTTP response. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="common_8h_source.html">common.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
